Bug 244045 - bootstrap error
Summary: bootstrap error
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-11 11:52 UTC by Jochen Neumeister
Modified: 2020-03-14 08:05 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2020-02-11 11:52:16 UTC
after a 
cd /usr/src
svn up
make clean
make -j6 buildworld


make[1]: "/usr/src/Makefile.inc1" line 335: SYSTEM_COMPILER: libclang will be built for bootstrapping a cross-compiler.
make[1]: "/usr/src/Makefile.inc1" line 340: SYSTEM_LINKER: libclang will be built for bootstrapping a cross-linker.
--- buildworld_prologue ---
--------------------------------------------------------------
>>> World build started on Tue Feb 11 12:03:03 CET 2020
--------------------------------------------------------------
--- _worldtmp ---

--------------------------------------------------------------
>>> Rebuilding the temporary build tree
--------------------------------------------------------------
rm -rf /usr/obj/usr/src/amd64.amd64/tmp
cd /usr/src/tools/build;  make DIRPRFX=tools/build/ DESTDIR=/usr/obj/usr/src/amd64.amd64/tmp/legacy installdirs
--- installdirs ---
mkdir -p /usr/obj/usr/src/amd64.amd64/tmp/legacy/bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/geom /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/private/zstd /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec
removing old non-symlink /usr/obj/usr/src/amd64.amd64/tmp/legacy/sbin
removing old non-symlink /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin
removing old non-symlink /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin
ln -sfn bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/sbin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/casper"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ufs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ffs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/fs/msdosfs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys/disk"
cd /usr/src/tools/build;  make DIRPRFX=tools/build/ DESTDIR=/usr/obj/usr/src/amd64.amd64/tmp/legacy host-symlinks
--- host-symlinks ---
Linking host tools into /usr/obj/usr/src/amd64.amd64/tmp/legacy/bin
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/basename -> /usr/bin/basename
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/bzip2 -> /usr/bin/bzip2
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/bunzip2 -> /usr/bin/bunzip2
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/chmod -> /bin/chmod
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/chown -> /usr/sbin/chown
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cmp -> /usr/bin/cmp
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/comm -> /usr/bin/comm
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cp -> /bin/cp
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/date -> /bin/date
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/dirname -> /usr/bin/dirname
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/echo -> /bin/echo
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/env -> /usr/bin/env
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/false -> /usr/bin/false
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/find -> /usr/bin/find
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/fmt -> /usr/bin/fmt
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/gzip -> /usr/bin/gzip
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/gunzip -> /usr/bin/gunzip
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/head -> /usr/bin/head
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/hostname -> /bin/hostname
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/id -> /usr/bin/id
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/ln -> /bin/ln
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/ls -> /bin/ls
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mkdir -> /bin/mkdir
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mv -> /bin/mv
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/nice -> /usr/bin/nice
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/patch -> /usr/bin/patch
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/rm -> /bin/rm
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/realpath -> /bin/realpath
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/sh -> /bin/sh
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/sleep -> /bin/sleep
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/stat -> /usr/bin/stat
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/tee -> /usr/bin/tee
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/touch -> /usr/bin/touch
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/tr -> /usr/bin/tr
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/true -> /usr/bin/true
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/uname -> /usr/bin/uname
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/uniq -> /usr/bin/uniq
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/wc -> /usr/bin/wc
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/which -> /usr/bin/which
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/make -> /usr/bin/make
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/bmake -> /usr/bin/make
--- _legacy ---

--------------------------------------------------------------
>>> stage 1.1: legacy release compatibility shims
--------------------------------------------------------------
cd /usr/src; INSTALL="sh /usr/src/tools/install.sh"  TOOLS_PREFIX=/usr/obj/usr/src/amd64.amd64/tmp  PATH=/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec:/sbin:/bin:/usr/sbin:/usr/bin  WORLDTMP=/usr/obj/usr/src/amd64.amd64/tmp  MAKEFLAGS="-m /usr/src/tools/build/mk  -j 6 -J 15,16 -m /usr/src/share/mk" make  -f Makefile.inc1  DESTDIR=  OBJTOP='/usr/obj/usr/src/amd64.amd64/tmp/obj-tools'  OBJROOT='${OBJTOP}/'  MAKEOBJDIRPREFIX=  BOOTSTRAPPING=1300054  BWPHASE=legacy  SSP_CFLAGS=  MK_HTML=no NO_LINT=yes MK_MAN=no  -DNO_PIC MK_PROFILE=no -DNO_SHARED  -DNO_CPU_CFLAGS MK_WARNS=no MK_CTF=no  MK_CLANG_EXTRAS=no MK_CLANG_FULL=no  MK_LLDB=no MK_RETPOLINE=no MK_TESTS=no  MK_INCLUDES=yes MK_LLVM_TARGET_ALL=no legacy
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools...]
--- legacy ---
===> tools/build (obj,includes,all,install)
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools/tools/build...]
--- _SYSINCSINS ---
--- _CASPERINCINS ---
--- _UFSINCSINS ---
--- _FFSINCSINS ---
--- _MSDOSFSINCSINS ---
--- _DISKINCSINS ---
--- _SYSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/sys/nv.h /usr/src/sys/sys/cnv.h /usr/src/sys/sys/dnv.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/sys/
--- _CASPERINCINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/lib/libcasper/services/cap_fileargs/cap_fileargs.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/casper/
--- _UFSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/ufs/ufs/dinode.h /usr/src/sys/ufs/ufs/dir.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/ufs/ufs/
--- _FFSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/ufs/ffs/fs.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/ufs/ffs/
--- _MSDOSFSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/fs/msdosfs/bootsect.h /usr/src/sys/fs/msdosfs/bpb.h /usr/src/sys/fs/msdosfs/denode.h /usr/src/sys/fs/msdosfs/direntry.h /usr/src/sys/fs/msdosfs/fat.h /usr/src/sys/fs/msdosfs/msdosfsmount.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/fs/msdosfs/
--- _DISKINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/sys/disk/bsd.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/sys/disk/
--- dummy.o ---
cc  -O2 -pipe  -g -MD  -MF.depend.dummy.o -MTdummy.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/tools/build/dummy.c -o dummy.o
--- libegacy.a ---
building static egacy library
ar -crD libegacy.a `NM='nm' NMFLAGS=''  lorder dummy.o  | tsort -q`
ranlib -D libegacy.a
--- _libinstall ---
--- installdirs ---
--- _libinstall ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444   libegacy.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/
--- installdirs ---
mkdir -p /usr/obj/usr/src/amd64.amd64/tmp/legacy/bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/geom /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/private/zstd /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec
ln -sfn bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/sbin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/casper"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ufs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ffs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/fs/msdosfs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys/disk"
===> lib/libnv (obj,includes,all,install)
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools/lib/libnv...]
--- cnvlist.o ---
--- dnvlist.o ---
--- msgio.o ---
--- nvlist.o ---
--- nvpair.o ---
--- cnvlist.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.cnvlist.o -MTcnvlist.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/cnvlist.c -o cnvlist.o
--- dnvlist.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.dnvlist.o -MTdnvlist.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/dnvlist.c -o dnvlist.o
--- msgio.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.msgio.o -MTmsgio.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/lib/libnv/msgio.c -o msgio.o
--- nvlist.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.nvlist.o -MTnvlist.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/nvlist.c -o nvlist.o
--- nvpair.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.nvpair.o -MTnvpair.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/nvpair.c -o nvpair.o
--- libnv.a ---
building static nv library
ar -crD libnv.a `NM='nm' NMFLAGS=''  lorder cnvlist.o dnvlist.o msgio.o nvlist.o nvpair.o  | tsort -q`
ranlib -D libnv.a
--- _libinstall ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444   libnv.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/
===> usr.bin/lex/lib (obj,includes,all,install)
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools/usr.bin/lex/lib...]
--- libmain.o ---
--- libyywrap.o ---
--- libmain.o ---
cc  -O2 -pipe  -g -MD  -MF.depend.libmain.o -MTlibmain.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/contrib/flex/libmain.c -o libmain.o
--- libyywrap.o ---
cc  -O2 -pipe  -g -MD  -MF.depend.libyywrap.o -MTlibyywrap.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/contrib/flex/libyywrap.c -o libyywrap.o
--- libln.a ---
building static ln library
ar -crD libln.a `NM='nm' NMFLAGS=''  lorder libmain.o libyywrap.o  | tsort -q`
ranlib -D libln.a
--- _libinstall ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444   libln.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/
--- _installlinks ---
sh /usr/src/tools/install.sh -l h -o root -g wheel -m 444  /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libln.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libl.a
sh /usr/src/tools/install.sh -l h -o root -g wheel -m 444  /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libln.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libfl.a
--- _bootstrap-tools ---

--------------------------------------------------------------
>>> stage 1.2: bootstrap tools
--------------------------------------------------------------
cd /usr/src; INSTALL="sh /usr/src/tools/install.sh"  TOOLS_PREFIX=/usr/obj/usr/src/amd64.amd64/tmp  PATH=/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec:/sbin:/bin:/usr/sbin:/usr/bin  WORLDTMP=/usr/obj/usr/src/amd64.amd64/tmp  MAKEFLAGS="-m /usr/src/tools/build/mk  -j 6 -J 15,16 -m /usr/src/share/mk" make  -f Makefile.inc1  DESTDIR=  OBJTOP='/usr/obj/usr/src/amd64.amd64/tmp/obj-tools'  OBJROOT='${OBJTOP}/'  MAKEOBJDIRPREFIX=  BOOTSTRAPPING=1300054  BWPHASE=bootstrap-tools  SSP_CFLAGS=  MK_HTML=no NO_LINT=yes MK_MAN=no  -DNO_PIC MK_PROFILE=no -DNO_SHARED  -DNO_CPU_CFLAGS MK_WARNS=no MK_CTF=no  MK_CLANG_EXTRAS=no MK_CLANG_FULL=no  MK_LLDB=no MK_RETPOLINE=no MK_TESTS=no  MK_INCLUDES=yes MK_LLVM_TARGET_ALL=no bootstrap-tools
--- _bootstrap-tools-link-m4 ---
--- _bootstrap-tools-link-lex ---
--- _bootstrap-tools-link-mtree ---
--- _bootstrap-tools-link-cat ---
--- _bootstrap-tools-link-crunchide ---
--- _bootstrap-tools-link-crunchgen ---
--- _bootstrap-tools-link-m4 ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/m4 -> /usr/bin/m4
--- _bootstrap-tools-link-lex ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/lex -> /usr/bin/lex
--- _bootstrap-tools-link-kbdcontrol ---
--- _bootstrap-tools-link-mtree ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mtree -> /usr/sbin/mtree
--- _bootstrap-tools-link-awk ---
--- _bootstrap-tools-link-cat ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cat -> /bin/cat
--- _bootstrap-tools-link-crunchide ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/crunchide -> /usr/bin/crunchide
--- _bootstrap-tools-link-cut ---
--- _bootstrap-tools-link-expr ---
--- _bootstrap-tools-link-crunchgen ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/crunchgen -> /usr/bin/crunchgen
--- _bootstrap-tools-link-gencat ---
--- _bootstrap-tools-link-join ---
--- _bootstrap-tools-link-kbdcontrol ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/kbdcontrol -> /usr/sbin/kbdcontrol
--- _bootstrap-tools-link-mktemp ---
--- _bootstrap-tools-link-awk ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/awk -> /usr/bin/awk
--- _bootstrap-tools-link-rmdir ---
--- _bootstrap-tools-link-expr ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/expr -> /bin/expr
--- _bootstrap-tools-link-cut ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cut -> /usr/bin/cut
--- _bootstrap-tools-link-sed ---
--- _bootstrap-tools-link-gencat ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/gencat -> /usr/bin/gencat
--- _bootstrap-tools-link-sort ---
--- _bootstrap-tools-link-truncate ---
--- _bootstrap-tools-link-join ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/join -> /usr/bin/join
--- _bootstrap-tools-link-tsort ---
--- _bootstrap-tools-link-mktemp ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mktemp -> /usr/bin/mktemp
--- _bootstrap-tools-link-file2c ---
--- _bootstrap-tools-link-rmdir ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/rmdir -> /bin/rmdir
--- _bootstrap-tools-link-uuencode ---
--- _bootstrap-tools-link-sed ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/sed -> /usr/bin/sed
--- _bootstrap-tools-link-sort ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/sort -> /usr/bin/sort
--- _bootstrap-tools-link-uudecode ---
--- _bootstrap-tools-link-truncate ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/truncate -> /usr/bin/truncate
--- _bootstrap-tools-link-xargs ---
--- _bootstrap-tools-link-cap_mkdb ---
--- _bootstrap-tools-link-tsort ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/tsort -> /usr/bin/tsort
--- _bootstrap-tools-link-ldd ---
--- _bootstrap-tools-link-file2c ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/file2c -> /usr/bin/file2c
--- _bootstrap-tools-link-uuencode ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/uuencode -> /usr/bin/uuencode
--- _bootstrap-tools-link-services_mkdb ---
--- _bootstrap-tools-link-pwd_mkdb ---
--- _bootstrap-tools-link-xargs ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/xargs -> /usr/bin/xargs
--- _bootstrap-tools-link-uudecode ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/uudecode -> /usr/bin/uudecode
--- _bootstrap-tools-link-cap_mkdb ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cap_mkdb -> /usr/bin/cap_mkdb
--- _bootstrap-tools-link-sysctl ---
--- _bootstrap-tools-link-chflags ---
--- _bootstrap-tools-link-mkfifo ---
--- _bootstrap-tools-link-ldd ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/ldd -> /usr/bin/ldd
--- _bootstrap-tools-link-dd ---
--- _bootstrap-tools-link-services_mkdb ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/services_mkdb -> /usr/sbin/services_mkdb
--- _bootstrap-tools-link-pwd_mkdb ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/pwd_mkdb -> /usr/sbin/pwd_mkdb
--- _bootstrap-tools-link-md5 ---
--- _bootstrap-tools-link-sysctl ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/sysctl -> /sbin/sysctl
--- _bootstrap-tools-link-zic ---
--- _bootstrap-tools-link-chflags ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/chflags -> /bin/chflags
--- _bootstrap-tools-link-tzsetup ---
--- _bootstrap-tools-link-mkfifo ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mkfifo -> /usr/bin/mkfifo
--- _bootstrap-tools-link-grep ---
--- _bootstrap-tools-link-egrep ---
--- _bootstrap-tools-link-dd ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/dd -> /bin/dd
--- _bootstrap-tools-link-fgrep ---
--- _bootstrap-tools-link-md5 ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/md5 -> /sbin/md5
--- _bootstrap-tools-link-zic ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/zic -> /usr/sbin/zic
--- _bootstrap-tools-link-test ---
--- _bootstrap-tools-link-tzsetup ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/tzsetup -> /usr/sbin/tzsetup
--- _bootstrap-tools-link-[ ---
--- _bootstrap-tools-link-grep ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/grep -> /usr/bin/grep
--- _bootstrap-tools-link-xz ---
--- _bootstrap-tools-link-egrep ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/egrep -> /usr/bin/egrep
--- _bootstrap-tools-link-unxz ---
--- _bootstrap-tools-link-fgrep ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/fgrep -> /usr/bin/fgrep
--- _bootstrap-tools-link-[ ---
*** [_bootstrap-tools-link-[] Error code 1

make[2]: stopped in /usr/src
--- _bootstrap-tools-link-test ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/test -> /bin/test
--- _bootstrap-tools-link-xz ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/xz -> /usr/bin/xz
--- _bootstrap-tools-link-unxz ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/unxz -> /usr/bin/unxz
1 error

make[2]: stopped in /usr/src
*** [_bootstrap-tools] Error code 2

make[1]: stopped in /usr/src
1 error

make[1]: stopped in /usr/src
*** [buildworld] Error code 2

make: stopped in /usr/src

make: stopped in /usr/src
Comment 1 Ed Maste freebsd_committer 2020-02-12 22:49:21 UTC
What svn revs are you starting from and trying to build?
Comment 2 Jochen Neumeister freebsd_committer 2020-02-13 20:22:52 UTC
(In reply to Ed Maste from comment #1)
Hi Ed,
i use for the first time "svn co https://svn.freebsd.org/base/head/ /usr/src/" and then "svn up"
Comment 3 Jochen Neumeister freebsd_committer 2020-02-17 10:17:11 UTC
Can anyone here help?
Comment 4 Ed Maste freebsd_committer 2020-02-18 14:57:34 UTC
(In reply to Jochen Neumeister from comment #2)
But what currently installed version are you running? (i.e., uname -a)?

I build -CURRENT about every day and have not seen this. I'd suggest trying a "rm -rf /usr/obj/usr/src/"; also posting to the FreeBSD-current mailing list is more likely to be useful in addressing build errors.
Comment 5 Jochen Neumeister freebsd_committer 2020-03-14 08:05:51 UTC
Installed the Server new. Closed here